#pragma once

#include "CoreMinimal.h"
#include "CoreExpandableListWidget.h"
#include "CoreChallengeMenuSubListWidget.generated.h"

class UDBDTextBlock;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UCoreChallengeMenuSubListWidget : public UCoreExpandableListWidget
{
	GENERATED_BODY()

protected:
	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDTextBlock* ProgressTB;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDTextBlock* AvailableTB;

public:
	UFUNCTION(BlueprintPure)
	bool IsCompleted() const;

public:
	UCoreChallengeMenuSubListWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreChallengeMenuSubListWidget) { return 0; }
